@rem IBM Cognos 8 Special Edition - Master Environment Script C8SE_master_env.bat
@rem Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved. 
@rem Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated).
@echo on

@rem This is a master environment file that is called from all the other scripts.
@rem These are common static values that must not be changed

@rem Set the supported IBM version values
@rem These names control the install locations and script names that will be called
set C8SE_C8_Version=C8
set C8SE_DB2_Version=DB2-91
set C8SE_WAS_Version=
set C8SE_IHS_Version=

@rem Specify the name of the text search and replace tool in the line below
set C8SE_replace_tool=cfgstrreplace.exe

@rem Set WebSphere specific values
if NOT DEFINED C8SE_WAS_ServerName (
  set C8SE_WAS_ServerName=server1
)
if NOT DEFINED C8SE_WAS_NodeName (
  set C8SE_WAS_NodeName=Node01
)
if NOT DEFINED C8SE_WAS_AppName (
  set C8SE_WAS_AppName=IBM Cognos 8
)
if NOT DEFINED C8SE_WAS_Port (
  set C8SE_WAS_Port=9080
)
if NOT DEFINED C8SE_WAS_AdminPort (
  set C8SE_WAS_AdminPort=9060
)
if NOT DEFINED C8SE_WAS_SecPort (
  set C8SE_WAS_SecPort=9443
)
if NOT DEFINED C8SE_WAS_SecAdminPort (
  set C8SE_WAS_SecAdminPort=9043
)
if NOT DEFINED C8SE_WAS_Context (
  set C8SE_WAS_Context=p2pd
)
if NOT DEFINED C8SE_WAS_MaxHeapSize (
  set C8SE_WAS_MaxHeapSize=768
)
if NOT DEFINED C8SE_PATH (
  set C8SE_PATH=PATH
)

@rem Set IHS specific values
if NOT DEFINED C8SE_IHS_Port (
  set C8SE_IHS_Port=80
)
if NOT DEFINED C8SE_IHS_AdminPort (
set C8SE_IHS_AdminPort=8008
)

@rem Set IBM Cognos 8 specific values
if NOT DEFINED C8SE_C8_JRE (
  set C8SE_C8_JRE=\bin\jre\1.5.0
)
if NOT DEFINED C8SE_C8_SecProv (
  set C8SE_C8_SecProv=bcprov-jdk14-134.jar
)

@rem Set IBM DB2 default values if not already set
if NOT DEFINED C8SE_C8_DB_UID (
  set C8SE_C8_DB_UID=db2user
)
if NOT DEFINED C8SE_C8_DB_Pass (
  set C8SE_C8_DB_Pass=password
)
if NOT DEFINED C8SE_C8_DB_Name (
  set C8SE_C8_DB_Name=COGNOSDB
)
if NOT DEFINED C8SE_DB2_Instance (
  set C8SE_DB2_Instance=DB2
)
if NOT DEFINED C8SE_DB2_Command (
  set C8SE_DB2_Command=db2
)
if NOT DEFINED C8SE_DB2_Port (
  set C8SE_DB2_Port=50000
)


@rem Set default URI values if not already set
if NOT DEFINED C8SE_C8_GW (
  set C8SE_C8_GW=http://localhost:%C8SE_WAS_Port%/insight/servlet/dispatch
)
if NOT DEFINED C8SE_C8_DISP (
  set C8SE_C8_DISP=http://localhost:%C8SE_WAS_Port%/insight/servlet/dispatch
)
set C8SE_DB2_Type=
if NOT DEFINED C8SE_C8_CM (
  set C8SE_C8_CM=http://localhost:%C8SE_WAS_Port%/insight/servlet
  set C8SE_DB2_Type=Server
)

@rem Set the Main IBM Cognos 8 root directory
if NOT DEFINED C8SE_scripts (
  set C8SE_scripts=%~dp0%
)
cd ..
set C8SE_C8_Dst=%CD%
cd /d %C8SE_scripts%
